/***************************************************************************
                          advancedconfig.cpp  -  description
                             -------------------
    begin                : t z 17 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "advancedconfig.h"
#include <klocale.h>
#include <qlayout.h>
#include <qtabwidget.h>
#include <qgroupbox.h>

AdvancedConfig::AdvancedConfig( QWidget* parent, const char* name )
: QFrame( parent, name ) {
    setCaption( i18n( "Advanced configuration" ) );
    setFrameShape( QFrame::NoFrame );
    setFrameShadow( QFrame::MShadow );

    QGridLayout *advanced_layout = new QGridLayout( parent );
    advanced_layout->setSpacing( 6 );
    advanced_layout->setMargin( 11 );

    QTabWidget *tab_widget = new QTabWidget( parent, "tabwidget" );
   
    // LEFT PANEL TAB
    QWidget *left_panel_tab = new QWidget( tab_widget, "leftpaneltab" );
    QGridLayout *tab_layout2 = new QGridLayout( left_panel_tab );
    tab_layout2->setSpacing( 6 );
    tab_layout2->setMargin( 11 );

    QGroupBox *groupbox2 = new QGroupBox( left_panel_tab, "groupbox2" );
    groupbox2->setTitle( i18n( "Options for left panel" ) );
    groupbox2->setColumnLayout( 0, Qt::Vertical );
    groupbox2->layout()->setSpacing( 0 );
    groupbox2->layout()->setMargin( 0 );
	
	QVBoxLayout *layout1 = new QVBoxLayout( groupbox2->layout() );
	layout1->setSpacing( 6 );
	layout1->setMargin( 11 );

	layout1->addWidget( lcache = new QCheckBox( i18n( "Use view cache" ), groupbox2, "lcachecheckbox" ) );
	layout1->addWidget( lfam = new QCheckBox( i18n( "Use FAM service when available" ), groupbox2, "lfamcheckbox") );

	layout1->addStretch();

	QFrame *line1 = new QFrame( groupbox2, "line1" );
	line1->setFrameStyle( QFrame::HLine | QFrame::Sunken );
	layout1->addWidget( line1 );

	layout1->addWidget( llabel = new QLabel( groupbox2, "llabel" ) );

    tab_layout2->addWidget( groupbox2, 0, 0 );

    // RIGHT PANEL TAB
    QWidget *right_panel_tab = new QWidget( tab_widget, "rightpaneltab" );
    QGridLayout *tab_layout3 = new QGridLayout( right_panel_tab );
    tab_layout3->setSpacing( 6 );
    tab_layout3->setMargin( 11 );

    QGroupBox *groupbox3 = new QGroupBox( right_panel_tab, "groupbox3" );
    groupbox3->setTitle( i18n( "Options for right panel" ) );
    groupbox3->setColumnLayout( 0, Qt::Vertical );
    groupbox3->layout()->setSpacing( 0 );
    groupbox3->layout()->setMargin( 0 );

	QVBoxLayout *layout2 = new QVBoxLayout( groupbox3->layout() );
	layout2->setSpacing( 6 );
	layout2->setMargin( 11 );

	layout2->addWidget( rcache = new QCheckBox( i18n( "Use view cache" ), groupbox3, "rcachecheckbox" ) );
	layout2->addWidget( rfam = new QCheckBox( i18n( "Use FAM service when available" ), groupbox3, "rfamcheckbox") );

	layout2->addStretch();

	QFrame *line2 = new QFrame( groupbox3, "line1" );
	line2->setFrameStyle( QFrame::HLine | QFrame::Sunken );
	layout2->addWidget( line2 );

	layout2->addWidget( rlabel = new QLabel( groupbox3, "rlabel" ) );

    tab_layout3->addWidget( groupbox3, 0, 0 );

    tab_widget->insertTab( left_panel_tab, i18n("Left Panel") );
    tab_widget->insertTab( right_panel_tab, i18n("Right Panel") );

    advanced_layout->addWidget( tab_widget, 0, 0 );
}

AdvancedConfig::~AdvancedConfig() {
}
