#include <klocale.h>
#include <qlayout.h>
#include <qlabel.h>

#include "panelconfig.h"

PanelConfig::PanelConfig( bool left, QWidget *parent, const char *name )
: QWidget( parent, name ), left_panel( left ) {
    QGridLayout *layout = new QGridLayout( parent->layout() );
    layout->setSpacing( 6 );
    layout->setMargin( 11 );

    QGridLayout *layout2 = new QGridLayout;
    layout2->setSpacing( 6 );
    layout2->setMargin( 0 );
    layout2->addWidget( dir_line = new QCheckBox( i18n( "Show directory line" ), parent, "dirlinecheckbox" ), 0, 0 );
    layout2->addWidget( path_combo = new QCheckBox( i18n( "Show path combobox" ), parent, "pathcomboboxcheckbox"), 1, 0 );
    layout2->addWidget( info_line = new QCheckBox( i18n( "Show info line" ), parent, "infolinecheckbox" ), 2, 0 );
    layout->addMultiCellLayout( layout2, 0, 0, 0, 4 );

    QFrame *line1 = new QFrame( parent, "line1" );
    line1->setFrameStyle( QFrame::HLine | QFrame::Sunken );
    layout->addMultiCellWidget( line1, 1, 1, 0, 4 );

    layout->addMultiCellWidget( hidden_files = new QCheckBox( i18n( "Show hidden files" ), parent, "hiddenfilescheckbox" ), 2, 2, 0, 4 );

    QFrame *line2 = new QFrame( parent, "line2" );
    line2->setFrameStyle( QFrame::HLine | QFrame::Sunken );
    layout->addMultiCellWidget( line2, 3, 3, 0, 4 );

    layout->addMultiCellWidget( new QLabel( i18n( "Show columns" ), parent ), 4, 4, 0, 4 );

    QGridLayout *layout3 = new QGridLayout;
    layout3->setSpacing( 6 );
    layout3->setMargin( 0 );
    layout3->addWidget( size_col = new QCheckBox( i18n( "Size" ), parent, "sizecolcheckbox" ), 0, 0 );
    layout3->addWidget( date_col = new QCheckBox( i18n( "Date" ), parent, "datecolcheckbox"), 1, 0 );
    layout3->addWidget( perm_col = new QCheckBox( i18n( "Permissions" ), parent, "permcolcheckbox"), 2, 0 );
    layout3->addWidget( owner_col = new QCheckBox( i18n( "Owner" ), parent, "ownercolcheckbox"), 0, 1 );
    layout3->addWidget( group_col = new QCheckBox( i18n( "Group" ), parent, "groupcolcheckbox"), 1, 1 );
    layout->addMultiCellLayout( layout3, 5, 5, 0, 4 );
}

PanelConfig::~PanelConfig() {
}


