/***************************************************************************
                          panelconfigimpl.cpp  -  description
                             -------------------
    begin                : P z 6 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "panelconfigimpl.h"

#include <kapp.h>
#include <kconfig.h>
#include "../pcmm.h"

PanelConfigImpl::PanelConfigImpl( bool left, QWidget *parent, const char *name )
: PanelConfig( left, parent, name ) {
    setup();
}

PanelConfigImpl::~PanelConfigImpl() {
}

void PanelConfigImpl::setup() {
    dir_line->setChecked( Pcmm::pcmm->filePanel()->filePanel( left_panel )->isDirectoryLine() );
    path_combo->setChecked( Pcmm::pcmm->filePanel()->filePanel( left_panel )->isPathCombobox() );
    info_line->setChecked( Pcmm::pcmm->filePanel()->filePanel( left_panel )->isInfoLine() );
    hidden_files->setChecked( Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileManager()->hiddenFiles() );
    size_col->setChecked( Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileView()->isSizeCol() );
    date_col->setChecked( Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileView()->isDateCol() );
    perm_col->setChecked( Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileView()->isPermCol() );
    owner_col->setChecked( Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileView()->isOwnerCol() );
    group_col->setChecked( Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileView()->isGroupCol() );
}

void PanelConfigImpl::applyChanges() {
    Pcmm::pcmm->filePanel()->filePanel( left_panel )->showDirectoryLine( dir_line->isChecked() );
    Pcmm::pcmm->filePanel()->filePanel( left_panel )->showPathCombobox( path_combo->isChecked() );
    Pcmm::pcmm->filePanel()->filePanel( left_panel )->showInfoLine( info_line->isChecked() );
    Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileManager()->showHiddenFiles( hidden_files->isChecked() );
    Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileView()->showSizeCol( size_col->isChecked() );
    Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileView()->showDateCol( date_col->isChecked() );
    Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileView()->showPermCol( perm_col->isChecked() );
    Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileView()->showOwnerCol( owner_col->isChecked() );
    Pcmm::pcmm->filePanel()->filePanel( left_panel )->fileView()->showGroupCol( group_col->isChecked() );
}

void PanelConfigImpl::readSettings() {
    KConfig *config = kapp->config();
    config->setGroup( left_panel ? LEFT_PANEL_KEY : RIGHT_PANEL_KEY );
    dir_line->setChecked( config->readBoolEntry( "Show directory_line", true ) );
    path_combo->setChecked( config->readBoolEntry( "Show path_combobox", false ) );
    info_line->setChecked( config->readBoolEntry( "Show info_line", true ) );
    hidden_files->setChecked( config->readBoolEntry( "Show hidden_files", true ) );
    size_col->setChecked( config->readBoolEntry( "Col SIZE", true ) );
    date_col->setChecked( config->readBoolEntry( "Col DATE", true ) );
    perm_col->setChecked( config->readBoolEntry( "Col PERM", true ) );
    owner_col->setChecked( config->readBoolEntry( "Col OWNER", true ) );
    group_col->setChecked( config->readBoolEntry( "Col GROUP", true ) );
}

void PanelConfigImpl::saveSettings() {
    KConfig *config = kapp->config();
    config->setGroup( left_panel ? LEFT_PANEL_KEY : RIGHT_PANEL_KEY );
    config->writeEntry( "Show directory_line", dir_line->isChecked() );
    config->writeEntry( "Show path_combobox", path_combo->isChecked() );
    config->writeEntry( "Show info_line", info_line->isChecked() );
    config->writeEntry( "Show hidden_files", hidden_files->isChecked() );
    config->writeEntry( "Col SIZE", size_col->isChecked() ); 
    config->writeEntry( "Col DATE", date_col->isChecked() ); 
    config->writeEntry( "Col PERM", perm_col->isChecked() ); 
    config->writeEntry( "Col OWNER", owner_col->isChecked() );
    config->writeEntry( "Col GROUP", group_col->isChecked() );
    applyChanges();
}

void PanelConfigImpl::defaultSettings() {
    dir_line->setChecked( true );
    path_combo->setChecked( false );
    info_line->setChecked( true );
    hidden_files->setChecked( true );
    size_col->setChecked( true );
    date_col->setChecked( true );
    perm_col->setChecked( true );
    owner_col->setChecked( true );
    group_col->setChecked( true );
}
