/***************************************************************************
                          pconfig.h  -  description
                             -------------------
    begin                : P z 6 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PCONFIG_H
#define PCONFIG_H

#include <kdialogbase.h>
#include <kjanuswidget.h>

/**
 * Configuration dialog of the application.
 *
 * It contains several pages as @ref LookNFeel @ref GeneralConfigImpl
 */
class PConfig: public KDialogBase {
    Q_OBJECT
public:
    PConfig();
    ~PConfig();

protected:
    QFrame* newPage(QString name, QString desc, QPixmap pix=QPixmap());

    /**
     * adds widget into newPage and connects to slot
     */
    void newContent(QFrame *widget);
    void createLayout();

protected slots:
    void slotOk();

signals:
    void applyChanges();
    void defaultSettings();

private:
    QList<QFrame> frames;
    KJanusWidget *widget;
};

#endif
