/***************************************************************************
                          pdeletedialog.cpp  -  description
                             -------------------
    begin                : Mon May 6 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pcopydialog.h"
#include <klocale.h>
#include <qvbox.h>
#include <qlabel.h>
#include <kurlcompletion.h>

PCopyDialog::PCopyDialog(QWidget *parent, const KURL& url, const KURL& dest_url, bool copy )
: KDialogBase( parent, "copydialog", true, QString::null, Ok|Cancel, Ok ) {
	vbox = makeVBoxMainWidget();
	if (copy) {
		setCaption( i18n("Copy file") );
		new QLabel( i18n("Copy '") + url.fileName() + "' to:", vbox, "question_label" );
	}
	else {//move
		setCaption( i18n("Move file") );
		new QLabel( i18n("Move '") + url.fileName() + "' to:", vbox, "question_label" );
	}

	init_combo( dest_url );
}

PCopyDialog::PCopyDialog(QWidget *parent, const KURL::List& url_list, const KURL& dest_url, bool copy )
: KDialogBase( parent, "copydialog", true, QString::null, Ok|Cancel, Ok ) {
	vbox = makeVBoxMainWidget();
	if (copy) {
		setCaption( i18n("Copy files") );
		new QLabel( i18n("Copy these ") + QString::number( url_list.count() ) + i18n(" files/directories to:"),
				vbox, "question_label" );
	}
	else {//move
		setCaption( i18n("Move files") );
		new QLabel( i18n("Move these ") + QString::number( url_list.count() ) + i18n(" files/directories to:"),
				vbox, "question_label" );
	}
	KListBox *listbox = new KListBox( vbox, "listbox" );
	
	QStringList lst;
	for( KURL::List::ConstIterator it = url_list.begin(); it != url_list.end(); it++)
		lst.append( (*it).prettyURL() );
   
	listbox->insertStringList( lst );

	init_combo( dest_url );
}

PCopyDialog::~PCopyDialog(){
}

KURL PCopyDialog::destURL() {
	KURL url( combo_box->currentText() );
	return url;
}

void PCopyDialog::init_combo( const KURL& text ) {
	//URL completition
	combo_box = new KURLComboBox( KURLComboBox::Directories, true, vbox, "combobox" );
	combo_box->setEditURL( text );
	combo_box->setFocus();
	combo_box->setMinimumWidth( 500 );
	KURLCompletion *completion = new KURLCompletion( KURLCompletion::FileCompletion );
	combo_box->setCompletionObject( completion );
	connect( combo_box, SIGNAL( returnPressed() ), this, SLOT( accept() ) );
}
