/***************************************************************************
                          pdeletedialog.h  -  description
                             -------------------
    begin                : Mon May 6 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PCOPYDIALOG_H
#define PCOPYDIALOG_H

#include <qwidget.h>
#include <kdialogbase.h>
#include <stdio.h>
#include <kurl.h>
#include <qcheckbox.h>
#include <kurlcombobox.h>
#include <kurl.h>

/**
 * Dialog that commits file copying
 * @author Tom Potrusil
 */

class PCopyDialog : public KDialogBase  {
   Q_OBJECT
public:
	/**
	 * @param url what file you want to copy
	 * @param dest_url where you want to copy the file
	 * @param copy whether you want to copy or move
	 */
	PCopyDialog(QWidget *parent, const KURL& url, const KURL& dest_url, bool copy = true );
	
	/**
	 * @param url_list what files you want to copy
	 * @param dest_url where you want to copy the files
	 * @param copy whether you want to copy or move
	 */
	PCopyDialog(QWidget *parent, const KURL::List& url_list, const KURL& dest_url, bool copy = true );
	~PCopyDialog();

	/**
	 * @returns URL of the destination for copying
	 */
	KURL destURL();
private:
	void init_combo( const KURL& text );

	KURLComboBox *combo_box;
	QVBox *vbox;
};

#endif
