/***************************************************************************
                          pdeletedialog.cpp  -  description
                             -------------------
    begin                : Mon May 6 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pdeletedialog.h"
#include <klocale.h>
#include <qvbox.h>
#include <qlabel.h>

PDeleteDialog::PDeleteDialog(QWidget *parent, const KURL::List& url_list )
: KDialogBase( parent, "deletedialog", true, QString::null, Ok|Cancel, Ok ) {
    QVBox *vbox = makeVBoxMainWidget();
    uint cnt = url_list.count();
    QLabel *question_label = new QLabel( vbox, "question_label" );
    if ( cnt > 1) {
        setCaption( i18n("Delete files") );
        question_label->setText( i18n("Do you really want to delete these ") + QString::number( cnt ) + i18n(" files?") );
        KListBox *listbox = new KListBox( vbox, "listbox" );
        listbox->insertStringList( url_list.toStringList() );
        check_box = new QCheckBox( i18n("Shred files"), vbox, "checkbox" );
    }
    else {
        setCaption( i18n("Delete file") );
        question_label->setText( i18n("Do you really want to delete '") + url_list.first().fileName() + "'?" );
        check_box = new QCheckBox( i18n("Shred file"), vbox, "checkbox" );
    }
}

PDeleteDialog::~PDeleteDialog(){
}

bool PDeleteDialog::Shred() {
    return check_box->isChecked();
}
