#include "pdirectoryline.h"
#include <qlayout.h>

PDirectoryLine::PDirectoryLine( QWidget *parent, const char *name )
: QWidget( parent, name ) {
    QHBoxLayout *layout = new QHBoxLayout( this );
    du_label = new PDiskUsageLabel( this, "diskusagelabel" );
    url_label = new PURLLabel( this, "urllabel" );
    bookmark_button = new BookmarkButton( /*Qt::DownArrow,*/ this, "bookmarkbutton" );

    layout->addWidget( bookmark_button );
    layout->addWidget( url_label );
    layout->addWidget( du_label, 0, Qt::AlignRight );
    layout->setStretchFactor( url_label, 1 );
}

PDirectoryLine::~PDirectoryLine() {
}

PDiskUsageLabel *PDirectoryLine::DULabel() {
    return du_label;
}

PURLLabel *PDirectoryLine::URLLabel() {
    return url_label;
}

BookmarkButton *PDirectoryLine::bookmarkButton() {
    return bookmark_button;
}

void PDirectoryLine::focusInParent () {
    setPaletteBackgroundColor( palette().active().highlight() );
    url_label->focusInParent();
    du_label->focusInParent();
    update();
}

void PDirectoryLine::focusOutParent () {
    unsetPalette();
    url_label->focusOutParent();
    du_label->focusOutParent();
    update();
}
