/***************************************************************************
                          pdoublefilepanel.cpp  -  description
                             -------------------
    begin                : Fri Mar 22 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pdoublefilepanel.h"
#include "pcmm_general.h"

#include <kurl.h>

PDoubleFilePanel::PDoubleFilePanel(QWidget *parent, const char *name )
: QSplitter(Qt::Horizontal, parent, name) {
    lfile_panel = new PFilePanel( true, this, "leftfilepanel" );
    rfile_panel = new PFilePanel( false, this, "rightfilepanel" );

    rfile_panel->fileView()->RegisterManager(rfile_panel->fileManager(), lfile_panel->fileManager() );
    lfile_panel->fileView()->RegisterManager(lfile_panel->fileManager(), rfile_panel->fileManager() );
    
    connect( rfile_panel, SIGNAL( CurrentPanel( PFilePanel* )),
            this, SLOT( SetCurrentPanel( PFilePanel* )));
    connect( lfile_panel, SIGNAL( CurrentPanel( PFilePanel* )),
            this, SLOT( SetCurrentPanel( PFilePanel* )));
    
    setResizeMode( lfile_panel, QSplitter::Stretch );
    setResizeMode( rfile_panel, QSplitter::Stretch );
    setOpaqueResize();

    connect( rfile_panel->fileManager(), SIGNAL( URLChanged( KURL& ) ), SLOTS, SLOT( insertToURLDatabase( KURL& ) ) );
    connect( lfile_panel->fileManager(), SIGNAL( URLChanged( KURL& ) ), SLOTS, SLOT( insertToURLDatabase( KURL& ) ) );
}

PDoubleFilePanel::~PDoubleFilePanel(){
}
    
PFilePanel *PDoubleFilePanel::lFilePanel() {
    return lfile_panel;
}

PFilePanel *PDoubleFilePanel::rFilePanel() {
    return rfile_panel;
}

PFilePanel *PDoubleFilePanel::currentFilePanel() {
    return current_panel;
}

PFilePanel *PDoubleFilePanel::filePanel( bool left ) {
return left ? lfile_panel : rfile_panel;
}

void PDoubleFilePanel::SetCurrentPanel( PFilePanel *panel) {
    current_panel = panel;
}
