/***************************************************************************
                          pdoublefilepanel.h  -  description
                             -------------------
    begin                : Fri Mar 22 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PDOUBLEFILEPANEL_H
#define PDOUBLEFILEPANEL_H

#include <qsplitter.h>

#include "pfilepanel.h"

/**
 * @short Class that contains two PFilePanels
 *
 * Class that contains two @ref PFilePanel. It contains almost all definitions
 * of action slots.
 */
class PDoubleFilePanel : public QSplitter  {
   Q_OBJECT
public: 
    PDoubleFilePanel(QWidget *parent=0, const char *name=0);
    ~PDoubleFilePanel();

    /**
     * @returns left @ref PFilePanel
     */
    PFilePanel *lFilePanel();

    /**
     * @returns right @ref PFilePanel
     */
    PFilePanel *rFilePanel();

    /**
     * @returns current @ref PFilePanel
     */
    PFilePanel *currentFilePanel();

    /**
     * @returns if @p left is true left @ref PFilePanel otherwise right
     */
    PFilePanel *filePanel( bool left );

public slots:
    /**
     * Set active panel
     */
    void SetCurrentPanel( PFilePanel *panel);

private:
    PFilePanel *lfile_panel;
    PFilePanel *rfile_panel;

    PFilePanel *current_panel;
};

#endif
