/***************************************************************************
                          plinkfiledialog.cpp  -  description
                             -------------------
    begin                : St srp 28 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "plinkfiledialog.h"
#include <klocale.h>
#include <qlabel.h>
#include <qvbox.h>
#include <klistbox.h>

PLinkFileDialog::PLinkFileDialog( const QString& file, const QString& dest, QWidget *parent )
: KDialogBase( parent, "linkfiledialog", true, i18n("Link file"), Ok|Cancel, Ok ) {
	QVBox *vbox = makeVBoxMainWidget();
	new QLabel( QString("%1 %2 %3:" ).arg(i18n("Link")).arg( file ).arg(i18n("to")), vbox, "linkfile_label" );
	line_edit = new QLineEdit( vbox, "lineedit" );
	line_edit->setText( dest );
	line_edit->setFocus();
}

PLinkFileDialog::PLinkFileDialog( const QStringList& file_list, const QString& dest, QWidget *parent )
: KDialogBase( parent, "linkfiledialog", true, i18n("Link files"), Ok|Cancel, Ok ) {
	QVBox *vbox = makeVBoxMainWidget();
	new QLabel( i18n("Link these files to"), vbox, "linkfile_label" );
	KListBox *listbox = new KListBox( vbox, "listbox" );
	listbox->insertStringList( file_list );
	line_edit = new QLineEdit( vbox, "lineedit" );
	line_edit->setText( dest );
	line_edit->setFocus();
}

PLinkFileDialog::~PLinkFileDialog() {
}

QString PLinkFileDialog::newLink() {
	return line_edit->text();
}
