/***************************************************************************
                          plinkfiledialog.h  -  description
                             -------------------
    begin                : St srp 28 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef LINKFILEDIALOG_H
#define LINKFILEDIALOG_H

#include <qwidget.h>
#include <qlineedit.h>
#include <kdialogbase.h>
/**
 * Dialog that commits file linking
 */
class PLinkFileDialog: public KDialogBase {
public:
    /**
     * @param file name of file you want to link
     * @param dest linking destination
     * @param parent parent of the dialog
     */
    PLinkFileDialog( const QString& file, const QString& dest, QWidget *parent );
    /**
     * @param file_list names of file you want to link
     * @param dest linking destination
     * @param parent parent of the dialog
     */
    PLinkFileDialog( const QStringList& file_list, const QString& dest, QWidget *parent );
    ~PLinkFileDialog();
    
    /**
     * @returns linking destination
     */
    QString newLink();

private:
    QLineEdit *line_edit;
};

#endif
