/***************************************************************************
                          pselectedfilesinfo.h  -  description
                             -------------------
    begin                : Sat Mar 23 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef PSELECTEDFILESINFO_H
#define PSELECTEDFILESINFO_H

#include <qwidget.h>
#include <qlabel.h>
#include <klistview.h>
#include <kfileitem.h>
#include <qhbox.h>
#include <ksqueezedtextlabel.h>

/**
 * Widget shows informations about current file and selected files.
 * @author Tom Potrusil
 */

class PSelectedFilesInfo : public QHBox  {
    Q_OBJECT
public: 
    PSelectedFilesInfo(QWidget *parent=0, const char *name=0);
    ~PSelectedFilesInfo();

public slots:
    /**
     * @param file current file that should be displayed
     */
    void currentFile( const KFileItem *file);
    /**
     * @param list selected files of which informations should be displayed
     */
    void selectedFiles( const KFileItemList *list);
    
private:
    bool some_selected;
    KFileItem *m_current;
    KSqueezedTextLabel *label1;
    QLabel *label2;
};
#endif
