/***************************************************************************
                          pselectfilesdialog.cpp  -  description
                             -------------------
    begin                : St srp 28 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "pselectfilesdialog.h"
#include <klocale.h>
#include <qlabel.h>
#include <qvbox.h>
#include <qhbox.h>
#include <qbuttongroup.h>
#include <kapp.h>
#include <kconfig.h>

PSelectFilesDialog::PSelectFilesDialog( QWidget *parent,  bool select_caption )
: KDialogBase( parent, "selectfilesdialog", true, select_caption ? i18n("Select files") : i18n("Deselect files"), Ok|Cancel, Ok ) {
    setMaximumSize( QSize( 0, 0 ) );
    
    KConfig *config = kapp->config();
    config->setGroup( "Selected Files Dialog" );

    QVBox *vbox = makeVBoxMainWidget();
    new QLabel( i18n("Insert matching pattern:"), vbox, "selectfiles_label" );
    combo = new KHistoryCombo( vbox, "lineedit" );
    combo->setHistoryItems( config->readListEntry("History") );
    combo->setCurrentText("*");
    combo->setFocus();
    QHBox *hbox1 = new QHBox( vbox );
    hbox1->setSpacing(6);
    case_sensitive_button = new QCheckBox( i18n("Case sensitive"), hbox1 );
    part_match_button = new QCheckBox( i18n("Part match"), hbox1 );
    regexp_button = new QCheckBox( i18n("Regular expression"), hbox1 );
    case_sensitive_button->setChecked( true );

    connect( this, SIGNAL( okClicked () ), this, SLOT( buildRegExp() ) );
    connect( combo, SIGNAL( activated( const QString& )), combo, SLOT( addToHistory( const QString& )));
}

PSelectFilesDialog::~PSelectFilesDialog() {
    KConfig *config = kapp->config();
    config->setGroup( "Selected Files Dialog" );
    config->writeEntry( "History", combo->historyItems() );
}

bool PSelectFilesDialog::match( const QString& s ) {
    if (!part_match_button->isChecked() )
            return regexp.exactMatch( s );
    else
            return regexp.search( s ) != -1;
}

QRegExp& PSelectFilesDialog::regExp() {
    return regexp;
}

void PSelectFilesDialog::buildRegExp() {
    regexp = QRegExp( combo->currentText(),
            case_sensitive_button->isChecked(),
            !regexp_button->isChecked() );
}
