/***************************************************************************
                          pselectfilesdialog.h  -  description
                             -------------------
    begin                : St srp 28 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SelectFilesDIALOG_H
#define SelectFilesDIALOG_H

#include <qwidget.h>
#include <kcombobox.h>
#include <kdialogbase.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qregexp.h>

/**
 * Dialog allows user to enter regular expression or wildcard
 * which will be user for file matching. Class also contains
 * a method match that matches files with entered expression.
 * User can select between part or exact matching.
 *
 * @short Dialog allows user to enter regular expression or 
 * wildcard which will be user for file matching. 
 */
class PSelectFilesDialog: public KDialogBase {
    Q_OBJECT
public:
    /**
     * @param select_caption if @p is true label with "select" caption
     * will be shown otherwise "deselect" caption
     */
    PSelectFilesDialog( QWidget *parent, bool select_caption = true );
    ~PSelectFilesDialog();
    
    /**
     * @returns true if @p filename matches the built expression
     */
    bool match( const QString& );

    /**
     * @returns built regular expression
     */
    QRegExp& regExp();

private slots:
    void buildRegExp();

private:
    QRegExp regexp;

    KHistoryCombo *combo;
    QCheckBox *part_match_button;
    QCheckBox *regexp_button;
    QCheckBox *case_sensitive_button;
};

#endif
