/***************************************************************************
                          purlitem.cpp  -  description
                             -------------------
    begin                : Mon May 13 2002
    copyright            : (C) 2002 by Tom Potrusil
    email                : potrto@centrum.cz
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "purlitem.h"

PURLItem::PURLItem(): bookmark( false ) {
}

PURLItem::PURLItem( const PURLItem& item ): my_url(item.my_url), my_name(item.my_name), bookmark( item.bookmark ) {
}

PURLItem::PURLItem( const KURL& url, bool b ): my_url( url ), my_name( url.prettyURL() ), bookmark( b ) {
}

PURLItem::PURLItem( const KURL& url, const QString& name, bool b ): my_url(url), my_name(name), bookmark( b ) {
}

PURLItem::~PURLItem() {
}

PURLItem& PURLItem::operator=( const PURLItem& item ) {
    my_name = item.my_name;
    my_url = item.my_url;
    bookmark = item.bookmark;
    return *this;
}

PURLItem& PURLItem::operator=( const KURL& url ) {
    my_url = url;
    my_name = url.prettyURL();
    bookmark = false;
    return *this;
}

bool PURLItem::operator== ( const PURLItem& item ) const{
    return my_url.protocol() == item.my_url.protocol() &&
        my_url.user() == item.my_url.user() &&
        my_url.host() == item.my_url.host() &&
        my_url.port() == item.my_url.port();
}

QString& PURLItem::name() {
    return my_name;
}

KURL& PURLItem::url() {
    return my_url;
}

bool PURLItem::isBookmark() {
    return bookmark;
}

void PURLItem::setURL( const KURL& url ) {
    my_url = url;
}

void PURLItem::setURL( const QString& url ) {
    KURL new_url( url );
    my_url = new_url;
}

void PURLItem::setName( const QString& name ) {
    my_name = name;
}

void PURLItem::setBookmark( bool b ) {
    bookmark = b;
}
